with that error, I'd get myself the grub package (rpm?) and do a re-install of that package.


Nerderello